Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

any mods that don't need modloader?


  • Please log in to reply
25 replies to this topic

#1

XxJeTbLaKxX

Posted 27 March 2011 - 03:00 AM

hey guys i was wondering if there were mods that dont require modloader? a have single player commands, so are there any others that don't need it? i have a mac and when i try to install a mod that needs modloader(yes, i have modloader)
minecraft goes to a black screen and then crashes. please give me a list, or tell me what i am doing wrong, or both. Thanks in advance!
WWND (What Would Notch Do)

Register or log in to remove.

#2

rawtoastify

Posted 24 May 2011 - 03:28 PM

Do you have a powerpc mac? Because if so the reason you are getting black screen is that you need java 6 and that is for intel only macs.
Have you tried Toomanyitems? I am also looking for mods that don't require modloader.
Good Luck with your search  :iapprove:
...

#3

moja jeb
    moja jeb

    Out of the Water

  • Members
  • 7 posts

Posted 26 May 2011 - 12:56 AM

modloder pisses the hell out of me! i wish it was never created....
pm me if u find ne mods k?
" width="425" height="350"> " />
WOULD YOU LOOK THIS!! just look at it! would ya look at this!

#4

limitless285
  • Location: Florida
  • Minecraft: limitless285

Posted 26 May 2011 - 01:11 AM

View Postmoja jeb, on 26 May 2011 - 12:56 AM, said:

modloder pisses the hell out of me! i wish it was never created....
pm me if u find ne mods k?
People really don't understand what modloader does do they?


Everyone, look- Modloader is the greatest thing to come for modders.
The original Minecraft files have err *guessing* about 100 class that each modify something different.
Within each class are the coding for different things. Dirt, swords, lighting, movement, etc.
Modders were always limited to just adding, editing, or taking away from the code within each class.
Corruptions and conflicts were abound because two mods couldn't change the same class.
Modloader made it so that modders could add their completely own classes!
This allowed for a wider range of modding.


Its not modloader's fault, its your's.
If you want help with it, just post some more info, people will be glad to help!

Cheers

Posted Image


#5

rawtoastify

Posted 05 June 2011 - 12:10 PM

View Postlimitless285, on 26 May 2011 - 01:11 AM, said:

People really don't understand what modloader does do they?


Everyone, look- Modloader is the greatest thing to come for modders.
The original Minecraft files have err *guessing* about 100 class that each modify something different.
Within each class are the coding for different things. Dirt, swords, lighting, movement, etc.
Modders were always limited to just adding, editing, or taking away from the code within each class.
Corruptions and conflicts were abound because two mods couldn't change the same class.
Modloader made it so that modders could add their completely own classes!
This allowed for a wider range of modding.


Its not modloader's fault, its your's.
If you want help with it, just post some more info, people will be glad to help!

Cheers
Personally i love modloader... it makes for better mods, but it also restricts the usage of the mods for some minecraft users. i think people that don't have java 6 readily available, example mac powerpc users, are really the only ones who feel this way.
...

#6

dwarf lord

Posted 05 June 2011 - 12:33 PM

View Postlimitless285, on 26 May 2011 - 01:11 AM, said:

People really don't understand what modloader does do they?


Everyone, look- Modloader is the greatest thing to come for modders.
The original Minecraft files have err *guessing* about 100 class that each modify something different.
Within each class are the coding for different things. Dirt, swords, lighting, movement, etc.
Modders were always limited to just adding, editing, or taking away from the code within each class.
Corruptions and conflicts were abound because two mods couldn't change the same class.
Modloader made it so that modders could add their completely own classes!
This allowed for a wider range of modding.


Its not modloader's fault, its your's.
If you want help with it, just post some more info, people will be glad to help!

Cheers
To be fair, modloader does limit what you can do. The reason it is popular is really just for ease of installation and compatibility. Without it you are free to change anything, add your own classes, whatever you wanted. With modloader you have to go through the given interface.

I tend to mod for my own amusement, so I don't use modloader because that would just place more restrictions on what I could do.

#7

the_rouge247

Posted 28 July 2011 - 09:37 PM

View PostXxJeTbLaKxX, on 27 March 2011 - 03:00 AM, said:

hey guys i was wondering if there were mods that dont require modloader? a have single player commands, so are there any others that don't need it? i have a mac and when i try to install a mod that needs modloader(yes, i have modloader)
minecraft goes to a black screen and then crashes. please give me a list, or tell me what i am doing wrong, or both. Thanks in advance!
the same thing happens with me i mean wtf i wish there was alot of mods without risugami's modloader toomanyitems can go without modloader you see my problem is probably cause im running on a mac mini I NEED MODS WITH NO MODLOAD F**KING NOW! GODDAMMIT

#8

name4684
    name4684

    Tree Puncher

  • Members
  • 18 posts
  • Location: Australia
  • Minecraft: name4684

Posted 14 August 2011 - 03:12 AM

View Postrawtoastify, on 24 May 2011 - 03:28 PM, said:

Do you have a powerpc mac? Because if so the reason you are getting black screen is that you need java 6 and that is for intel only macs.
Have you tried Toomanyitems? I am also looking for mods that don't require modloader.
Good Luck with your search  :iapprove:

i know another mod witch is ssp commands its very easy to install and world downloader and x ray those dont need modloader either 1 more witch is mo zombies witch makes the game harder because of zombie notch he kills you in 1 hit

#9

name4684
    name4684

    Tree Puncher

  • Members
  • 18 posts
  • Location: Australia
  • Minecraft: name4684

Posted 14 August 2011 - 03:23 AM

im trying to put on spawner GUI mod ive got java 6 but its because of modloader because since i put on you are the creeper mod all its files got into modloader and stuffed it up and i put every file in modloader into minecraft.jar but ive got some cool mods for now that are:

ssp commands,toomanyitems,world downloder and mo zombies.
the T - Packs i have are:


kindcraft,blockcraft and candycraft






someone plz help me with the promblem

#10

minecraftian1007

Posted 25 October 2011 - 09:56 PM

View Postlimitless285, on 26 May 2011 - 01:11 AM, said:

People really don't understand what modloader does do they?


Everyone, look- Modloader is the greatest thing to come for modders.
The original Minecraft files have err *guessing* about 100 class that each modify something different.
Within each class are the coding for different things. Dirt, swords, lighting, movement, etc.
Modders were always limited to just adding, editing, or taking away from the code within each class.
Corruptions and conflicts were abound because two mods couldn't change the same class.
Modloader made it so that modders could add their completely own classes!
This allowed for a wider range of modding.


Its not modloader's fault, its your's.
If you want help with it, just post some more info, people will be glad to help!

Cheers
now i am not mad at modloader, or the makers of it but iwould appreceate it if they made a fix for this. also we have gone and given out the info, here is myne and i bet you can't figure it out, because that iw why we are complaining, that is why evry day we post how pissed we are!... however it would be kinda funny and ironic if you did know how to fix it

it is a microsoft windows XP profetional

76487-OEM-0011903-00102

intel core duplo pc

dell xps

here is my error

--- BEGIN ERROR REPORT 29b04dee --------
Generated 10/25/11 3:52 PM

Minecraft: Minecraft Beta 1.8.1
OS: Windows XP (x86) version 5.1
Java: 1.6.0_29, Sun Microsystems Inc.
VM: Java HotSpot™ Client VM (mixed mode), Sun Microsystems Inc.
LWJGL: 2.4.2
OpenGL: ATI Radeon HD 4800 Series version 2.1.7873 Release, ATI Technologies Inc.

java.util.zip.ZipException: invalid entry CRC (expected 0x0 but got 0xba56b7de)
at java.util.zip.ZipInputStream.read(Unknown Source)
at java.util.zip.ZipInputStream.closeEntry(Unknown Source)
at java.util.zip.ZipInputStream.getNextEntry(Unknown Source)
at ModLoader.readFromClassPath(ModLoader.java:1108)
at ModLoader.init(ModLoader.java:825)
at ModLoader.AddAllRenderers(ModLoader.java:186)
at aam.<init>(aam.java:61)
at aam.<clinit>(aam.java:10)
at net.minecraft.client.Minecraft.a(SourceFile:259)
at net.minecraft.client.Minecraft.run(SourceFile:629)
at java.lang.Thread.run(Unknown Source)
--- END ERROR REPORT d71999d7 ----------

now tell me how to fix it!

#11

name4683
    name4683

    Tree Puncher

  • Members
  • 18 posts
  • Location: BEHIND YOU!!!!
  • Minecraft: name4684

Posted 14 November 2011 - 05:49 AM

i know how to fix this modloader promblem

its sinple all you do is delete the mods folder in your .minecraft folder
(C:/users/your name/AppData/Roaming/.minecraft)

#12

TheBigMaxx
  • Minecraft: TheBigMaxx

Posted 14 November 2011 - 06:19 AM

I know one of the mods that dont need it "Optifine"
Hello!
I like diamonds :3

#13

gigarandom
  • Minecraft: gigarandom

Posted 25 November 2011 - 07:22 AM

look, i agree with those who say modloader is bunch of crap, yet i guess im one of the lucky ones: no black screens, but nothing changed. this is where i get pissed off. i used to have yogbox and i was cool, but then came 1.0.0...
now that yogbox doesnt work, only a handful of modders have all the codes notch gave them, and now im looking for "anti-modloader" mods. so im stuck with toomanyitems(which id love to shakehands with the creator of that mod), and i too am on this forever so common search for mods that dont need modloader.

GOD! why cant the mods install themselves!?! :angry:
Posted Image

#14

henrydemon2
  • Location: viimsi
  • Minecraft: henrydemon2

Posted 29 November 2011 - 03:12 PM

View Postgigarandom, on 25 November 2011 - 07:22 AM, said:

look, i agree with those who say modloader is bunch of crap, yet i guess im one of the lucky ones: no black screens, but nothing changed. this is where i get pissed off. i used to have yogbox and i was cool, but then came 1.0.0...
now that yogbox doesnt work, only a handful of modders have all the codes notch gave them, and now im looking for "anti-modloader" mods. so im stuck with toomanyitems(which id love to shakehands with the creator of that mod), and i too am on this forever so common search for mods that dont need modloader.

GOD! why cant the mods install themselves!?! :angry:

there is also rei's minimap that ya could use

#15

kingzogan
  • Location: Someplace
  • Minecraft: kingzogan

Posted 12 December 2011 - 03:08 PM

View PostXxJeTbLaKxX, on 27 March 2011 - 03:00 AM, said:

hey guys i was wondering if there were mods that dont require modloader? a have single player commands, so are there any others that don't need it? i have a mac and when i try to install a mod that needs modloader(yes, i have modloader)
minecraft goes to a black screen and then crashes. please give me a list, or tell me what i am doing wrong, or both. Thanks in advance!

i get the same error, but on PC. some mods are toomanyitems, singleplayer commands, and the paint mod. i sure wish there was a fix for this error. I JUST HATE IT!

#16

kingzogan
  • Location: Someplace
  • Minecraft: kingzogan

Posted 15 December 2011 - 02:22 PM

View PostXxJeTbLaKxX, on 27 March 2011 - 03:00 AM, said:

hey guys i was wondering if there were mods that dont require modloader? a have single player commands, so are there any others that don't need it? i have a mac and when i try to install a mod that needs modloader(yes, i have modloader)
minecraft goes to a black screen and then crashes. please give me a list, or tell me what i am doing wrong, or both. Thanks in advance!

I have this exact same problem! I HATE IT! i do have some good mods though, such as toomanyitems, singleplayer commands, and a non-modloader uranium mod. Its awesome! You can get as rich as having unlimited diamonds and coal, and you can find this stuff everywhere! (actually a bit too much)

View Postname4683, on 14 November 2011 - 05:49 AM, said:

i know how to fix this modloader promblem

its sinple all you do is delete the mods folder in your .minecraft folder
(C:/users/your name/AppData/Roaming/.minecraft)

I tried doing this, it didnt work  :(

#17

KAT_IN_A_BOWL
  • Location: Sitting in a bowl
  • Minecraft: KAT_IN_A_BOWL

Posted 11 January 2012 - 11:06 PM

RISUGAMI ლ(ಠ益ಠლ) Y U NO UPDATE MODLOADER!
no diamonds for u risugami! ^^ unless u fix modloader :P  :Diamond: :Diamond: :Diamond: :Diamond: :Diamond: :Diamond: :Diamond: :Diamond: :Diamond: :Diamond: :Diamond: :Diamond:          
are yo on shrooms?!  :Portabella: :RedShroom: :Portabella: :RedShroom: :Portabella: :Portabella: :RedShroom: :Portabella: :RedShroom:         I WILL BURN YOU!!!  :Flint and Steel:  :VV: :Lava:
:lol:     :tnt: BOOM :tnt:  :lol:

#18

vortexyamum

Posted 04 February 2012 - 02:29 AM

smart movement single player commands too many items are mods that don't require mod loader and i use them for because they don't use mod loader because mod loaders are to hard to install on mac and are annoying to install cause they ALWAYS fail on my computer so those mods i just said at the start of this reply is some mods that don't use mod loader  :lol:  you have got lots of diamonds sir  :Diamond:   :Diamond:   :Diamond:   :Diamond:   :Diamond:

#19

jockstudman218
  • Location: Tennessee
  • Minecraft: Ladiesman218

Posted 05 February 2012 - 11:32 PM

View Postvortexyamum, on 04 February 2012 - 02:29 AM, said:

smart movement single player commands too many items are mods that don't require mod loader and i use them for because they don't use mod loader because mod loaders are to hard to install on mac and are annoying to install cause they ALWAYS fail on my computer so those mods i just said at the start of this reply is some mods that don't use mod loader  :lol:  you have got lots of diamonds sir  :Diamond:   :Diamond:   :Diamond:   :Diamond:   :Diamond:


Smart Movement does require modloader dumb butt

#20

general_crafticus

Posted 11 February 2012 - 02:10 PM

View Postrawtoastify, on 24 May 2011 - 03:28 PM, said:

Do you have a powerpc mac? Because if so the reason you are getting black screen is that you need java 6 and that is for intel only macs.
Have you tried Toomanyitems? I am also looking for mods that don't require modloader.
Good Luck with your search  :iapprove:
im pretty sure that my mac is intel and that the operating system cant take java 6 but is the original macbook intel or powerpc

View Postgigarandom, on 25 November 2011 - 07:22 AM, said:

look, i agree with those who say modloader is bunch of crap, yet i guess im one of the lucky ones: no black screens, but nothing changed. this is where i get pissed off. i used to have yogbox and i was cool, but then came 1.0.0...
now that yogbox doesnt work, only a handful of modders have all the codes notch gave them, and now im looking for "anti-modloader" mods. so im stuck with toomanyitems(which id love to shakehands with the creator of that mod), and i too am on this forever so common search for mods that dont need modloader.

GOD! why cant the mods install themselves!?! :angry:
i know what your problem is if you have a mac coz modloader wont support power pc anymore as of 1.0.0
and i definately agree that modders should have to make mods non modloader and get a bit smarter getting them to work

View Postthe_rouge247, on 28 July 2011 - 09:37 PM, said:

the same thing happens with me i mean wtf i wish there was alot of mods without risugami's modloader toomanyitems can go without modloader you see my problem is probably cause im running on a mac mini I NEED MODS WITH NO MODLOAD F**KING NOW! GODDAMMIT
yes
y do nearly all mods need risugamis crap (i will not deny modloader was useful until it only supported java 6!!)
modders should make them non modloader reliant and risugami can shove modloader up his *!@&*# arse
incidentaly im making my own mods plz watch out for them they will not require modloader XD